Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Class ClassAdapter

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.event.ClassAdapter

All Implemented Interfaces:
  edu.stanford.smi.protege.event.ClsListener, ClassListener, ProtegeClsListener, EventListener

    public class ClassAdapter

extends Object
implements ClassListener

Author:
  Holger Knublauch

Constructor Summary
`ClassAdapter()`

Method Summary
`void` | `addedToUnionDomainOf(RDFSClass cls, RDFProperty property)` Called after a class has been added to the union domain of a property.
`void` | `addedToUnionDomainOf(RDFSClass cls, RDFProperty property, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `directInstanceAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directInstanceRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSubclassAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSubclassMoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSubclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSuperclassAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSuperclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `instanceAdded(RDFSClass cls, RDFResource instance)` Called after a (new) resource was made an instance of a class.
`void` | `instanceAdded(RDFSClass cls, RDFResource instance, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `instanceRemoved(RDFSClass cls, RDFResource instance)` Called after a resource was removed from the instances of a class.
`void` | `instanceRemoved(RDFSClass cls, RDFResource instance, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `removedFromUnionDomainOf(RDFSClass cls, RDFProperty property)` Called after a class has been removed from the union domain of a property.
`void` | `removedFromUnionDomainOf(RDFSClass cls, RDFProperty property, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `subclassAdded(RDFSClass cls, RDFSClass subclass)` Called after a class has been added as a subclass to another class.
`void` | `subclassAdded(RDFSClass cls, RDFSClass subclass, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `subclassRemoved(RDFSClass cls, RDFSClass subclass)` Called after a class has been removed from the subclasses of another class.
`void` | `subclassRemoved(RDFSClass cls, RDFSClass subclass, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `superclassAdded(RDFSClass cls, RDFSClass superclass)` Called after a class has been added as a superclass to another class.
`void` | `superclassAdded(RDFSClass cls, RDFSClass superclass, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `superclassRemoved(RDFSClass cls, RDFSClass superclass)` Called after a class has been removed from the superclasses of another class.
`void` | `superclassRemoved(RDFSClass cls, RDFSClass superclass, edu.stanford.smi.protege.event.ClsEvent event)`
`void` | `templateFacetAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateFacetRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateFacetValueChanged(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateSlotAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateSlotRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateSlotValueChanged(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAdapter

    public ClassAdapter()

Method Detail

### addedToUnionDomainOf

    public void addedToUnionDomainOf(RDFSClass cls,
                                     RDFProperty property,
                                     edu.stanford.smi.protege.event.ClsEvent event)

### addedToUnionDomainOf

    public void addedToUnionDomainOf(RDFSClass cls,
                                     RDFProperty property)

  Description copied from interface: `ClassListener`
  Called after a class has been added to the union domain of a property.

  Specified by:
    `addedToUnionDomainOf` in interface `ClassListener`
  Parameters:
    `cls` - the class that was added
    `property` - the property that has changed its domain

### removedFromUnionDomainOf

    public void removedFromUnionDomainOf(RDFSClass cls,
                                         RDFProperty property,
                                         edu.stanford.smi.protege.event.ClsEvent event)

### removedFromUnionDomainOf

    public void removedFromUnionDomainOf(RDFSClass cls,
                                         RDFProperty property)

  Description copied from interface: `ClassListener`
  Called after a class has been removed from the union domain of a property.

  Specified by:
    `removedFromUnionDomainOf` in interface `ClassListener`
  Parameters:
    `cls` - the class that was removed
    `property` - the property that has changed its domain

### instanceAdded

    public void instanceAdded(RDFSClass cls,
                              RDFResource instance,
                              edu.stanford.smi.protege.event.ClsEvent event)

### instanceAdded

    public void instanceAdded(RDFSClass cls,
                              RDFResource instance)

  Description copied from interface: `ClassListener`
  Called after a (new) resource was made an instance of a class.

  Specified by:
    `instanceAdded` in interface `ClassListener`
  Parameters:
    `cls` - the RDFSClass of the instance
    `instance` - the instance that was added

### instanceRemoved

    public void instanceRemoved(RDFSClass cls,
                                RDFResource instance,
                                edu.stanford.smi.protege.event.ClsEvent event)

### instanceRemoved

    public void instanceRemoved(RDFSClass cls,
                                RDFResource instance)

  Description copied from interface: `ClassListener`
  Called after a resource was removed from the instances of a class.

  Specified by:
    `instanceRemoved` in interface `ClassListener`
  Parameters:
    `cls` - the RDFSClass of the instance
    `instance` - the instance that was removed

### subclassAdded

    public void subclassAdded(RDFSClass cls,
                              RDFSClass subclass,
                              edu.stanford.smi.protege.event.ClsEvent event)

### subclassAdded

    public void subclassAdded(RDFSClass cls,
                              RDFSClass subclass)

  Description copied from interface: `ClassListener`
  Called after a class has been added as a subclass to another class.

  Specified by:
    `subclassAdded` in interface `ClassListener`
  Parameters:
    `cls` - the class that was changed
    `subclass` - the new subclass of cls

### subclassRemoved

    public void subclassRemoved(RDFSClass cls,
                                RDFSClass subclass,
                                edu.stanford.smi.protege.event.ClsEvent event)

### subclassRemoved

    public void subclassRemoved(RDFSClass cls,
                                RDFSClass subclass)

  Description copied from interface: `ClassListener`
  Called after a class has been removed from the subclasses of another class.

  Specified by:
    `subclassRemoved` in interface `ClassListener`
  Parameters:
    `cls` - the class that was changed
    `subclass` - the former subclass of cls

### superclassAdded

    public void superclassAdded(RDFSClass cls,
                                RDFSClass superclass,
                                edu.stanford.smi.protege.event.ClsEvent event)

### superclassAdded

    public void superclassAdded(RDFSClass cls,
                                RDFSClass superclass)

  Description copied from interface: `ClassListener`
  Called after a class has been added as a superclass to another class.

  Specified by:
    `superclassAdded` in interface `ClassListener`
  Parameters:
    `cls` - the class that was changed
    `superclass` - the new superclass of cls

### superclassRemoved

    public void superclassRemoved(RDFSClass cls,
                                  RDFSClass superclass,
                                  edu.stanford.smi.protege.event.ClsEvent event)

### superclassRemoved

    public void superclassRemoved(RDFSClass cls,
                                  RDFSClass superclass)

  Description copied from interface: `ClassListener`
  Called after a class has been removed from the superclasses of another class.

  Specified by:
    `superclassRemoved` in interface `ClassListener`
  Parameters:
    `cls` - the class that was changed
    `superclass` - the former superclass of cls

### directSubclassRemoved

    public final void directSubclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSubclassRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directSubclassRemoved` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.subclassRemoved(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSuperclassAdded

    public final void directSuperclassAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSuperclassAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directSuperclassAdded` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.superclassAdded(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSuperclassRemoved

    public final void directSuperclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSuperclassRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directSuperclassRemoved` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.subclassRemoved(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directInstanceAdded

    public final void directInstanceAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directInstanceAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directInstanceAdded` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.instanceAdded(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFResource)`

### directInstanceRemoved

    public final void directInstanceRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directInstanceRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directInstanceRemoved` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.instanceRemoved(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFResource)`

### directSubclassAdded

    public final void directSubclassAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSubclassAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directSubclassAdded` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.subclassAdded(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### templateSlotAdded

    public final void templateSlotAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateSlotAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `templateSlotAdded` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.addedToUnionDomainOf(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### templateSlotRemoved

    public final void templateSlotRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateSlotRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `templateSlotRemoved` in interface `ProtegeClsListener`
  See Also:
    `ClassListener.removedFromUnionDomainOf(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### templateSlotValueChanged

    public final void templateSlotValueChanged(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateSlotValueChanged` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `templateSlotValueChanged` in interface `ProtegeClsListener`

### directSubclassMoved

    public final void directSubclassMoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSubclassMoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `directSubclassMoved` in interface `ProtegeClsListener`

### templateFacetAdded

    public final void templateFacetAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateFacetAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `templateFacetAdded` in interface `ProtegeClsListener`

### templateFacetRemoved

    public final void templateFacetRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateFacetRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `templateFacetRemoved` in interface `ProtegeClsListener`

### templateFacetValueChanged

    public final void templateFacetValueChanged(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateFacetValueChanged` in interface `edu.stanford.smi.protege.event.ClsListener`
  Specified by:
    `templateFacetValueChanged` in interface `ProtegeClsListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.